Skip to content
POST

Add shipping information

https://api.kustom.co/ordermanagement/v1/orders/{order_id}/captures/{capture_id}/shipping-info

Add shipping info to a capture. Read more on Adding shipping info

Parameters3 fields
  • order_idstring · uuidrequiredin path

    Order id

  • capture_idstringrequiredin path

    Capture id

  • Klarna-Idempotency-Keystringoptionalin header

    This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters.

Request body8 fields
  • shipping_info[]array<object>required

    New shipping info. Maximum: 500 items.

    7 fields in shipping_info
    • return_shipping_companystringoptional

      Name of the shipping company for the return shipment (as specific as possible). Maximum 100 characters. Example: ‘DHL SE’ and not only ‘DHL’

    • return_tracking_numberstringoptional

      Tracking number for the return shipment. Maximum 100 characters.

    • return_tracking_uristringoptional

      URL where the customer can track the return shipment. Maximum 1024 characters.

    • shipping_companystringoptional

      Name of the shipping company (as specific as possible). Maximum 100 characters. Example: ‘DHL SE’ and not only ‘DHL’

    • shipping_methodstringoptional

      Shipping method. Allowed values matches (PickUpStore|Home|BoxReg|BoxUnreg|PickUpPoint|Own|Postal|DHLPackstation|Digital|Undefined|PickUpWarehouse|ClickCollect|PalletDelivery)

    • tracking_numberstringoptional

      Tracking number for the shipment. Maximum 100 characters.

    • tracking_uristringoptional

      URI where the customer can track their shipment. Maximum 1024 characters.

204
Response0 fields

Shipping information was appended.

No response body — this status returns headers only.

403
Response3 fields

Order has no captures.

  • correlation_idstringoptional

    Correlation id. For searching logs.

  • error_codestringoptional

    Error code

  • error_messages[]array<string>optional

    Error messages

404
Response3 fields

Order or capture not found.

  • correlation_idstringoptional

    Correlation id. For searching logs.

  • error_codestringoptional

    Error code

  • error_messages[]array<string>optional

    Error messages

409
Response0 fields

Conflict

No response body — this status returns headers only.

Errors

CodeStatusWhat it meansRetry
NO_SUCH_CAPTURE404No capture exists with that id on this order.Never retry

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.